import { SlashCommandBuilder } from "discord.js";
import { z } from "zod";

export const Commands = z.enum(["giessen", "medikamente"]);
export type CommandsType = z.output<typeof Commands>;

export default function getCommands() {
	const commands = [
		new SlashCommandBuilder()
			.setName(Commands.Enum.giessen)
			.setDescription("giess mich mit etwas wasser :3"),

		new SlashCommandBuilder()
			.setName(Commands.Enum.medikamente)
			.setDescription("ich erinnere dich gerne daran, deine medikamente zu nehmen! :)"),
	].map((command) => command.toJSON());

	return commands;
}
