import "actions/waterMe/waterMe.task";
import "actions/greeting/greeting.task";
import "actions/medication/medication.task"
import "actions/drink/drink.task";
import DiscordController from "controllers/discord.controller";

import 'dotenv/config';
import { drizzle } from 'drizzle-orm/bun-sqlite';
import { Database } from 'bun:sqlite';

const sqlite = new Database(process.env.DB_FILE_NAME!);
const db = drizzle({ client: sqlite });


// = main file

// bootstrap application

const discordController = new DiscordController();
discordController.init();
